// Code generated by mockery v1.1.0. DO NOT EDIT.

package service

import (
	mock "github.com/stretchr/testify/mock"
	auth_methods "gitlab.com/stan.peyssard/gitlab-runner/helpers/vault/auth_methods"
)

// MockAuth is an autogenerated mock type for the Auth type
type MockAuth struct {
	mock.Mock
}

// AuthData provides a mock function with given fields:
func (_m *MockAuth) AuthData() auth_methods.Data {
	ret := _m.Called()

	var r0 auth_methods.Data
	if rf, ok := ret.Get(0).(func() auth_methods.Data); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(auth_methods.Data)
		}
	}

	return r0
}

// AuthName provides a mock function with given fields:
func (_m *MockAuth) AuthName() string {
	ret := _m.Called()

	var r0 string
	if rf, ok := ret.Get(0).(func() string); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}

// AuthPath provides a mock function with given fields:
func (_m *MockAuth) AuthPath() string {
	ret := _m.Called()

	var r0 string
	if rf, ok := ret.Get(0).(func() string); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}
